Go to main content

Textpattern CMS support forum

You are not logged in. Register | Login | Help

#13 2022-08-30 22:10:24

gomedia
Plugin Author
Registered: 2008-06-01
Posts: 1,372
Website

Re: Badly formed or empty plugin code in 4.8.8

I seem to have accidentally detonated another heffalump trap. Apologies for that.

The only reason I’ve still been using PHP 5.6.21 on my Mac is inertia. Switching to PHP 7 is trivial – I can always switch back if I need to fire up ancient-txp-version.local.

All my live sites have cPanel with “PHP Selector” so switching versions is easy peasy. There’s one that uses Parallels Automation which doesn’t seem to have such ability enabled but it’s probably only a phone call or email away.

If there are live sites which really are stuck on old PHP versions and you want to keep supporting them, maybe the plugin upload process could detect the issue and offer a “proceed with caution” warning?

Or just update the system requirements for 4.8 to “PHP 7+ or bust”.

Offline

#14 2022-09-01 09:56:45

etc
Developer
Registered: 2010-11-11
Posts: 4,675
Website GitHub

Re: Badly formed or empty plugin code in 4.8.8

Nothing to apologize for, more testers – less bugs.

Offline

Board footer

Powered by FluxBB